Package net.md_5.bungee.api.event

# Class TabCompleteResponseEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.TargetedEvent
net.md_5.bungee.api.event.TabCompleteResponseEvent

All Implemented Interfaces:
  `Cancellable`

public class TabCompleteResponseEvent extends TargetedEvent implements Cancellable
Event called when a backend server sends a response to a player asking to tab-complete a chat message or command. Note that this is not called when BungeeCord or a plugin responds to a tab-complete request. Use `TabCompleteEvent` for that.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabCompleteResponseEvent(Connection sender, Connection receiver, List<String> suggestions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getSuggestions()`
  Mutable list of suggestions sent back to the player.
  `int`
  `hashCode()`
  `boolean`
  `isCancelled()`
  Whether the event is cancelled.
  `void`
  `setCancelled(boolean cancelled)`
  Whether the event is cancelled.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.event.TargetedEvent

  `getReceiver, getSender`

  ### Methods inherited from class net.md_5.bungee.api.plugin.Event

  `postCall`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TabCompleteResponseEvent

    public TabCompleteResponseEvent(Connection sender, Connection receiver, List<String> suggestions)

- ## Method Details

  - ### isCancelled

    public boolean isCancelled()
    Whether the event is cancelled.
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      the cancelled state of this event

  - ### getSuggestions

    public List<String> getSuggestions()
    Mutable list of suggestions sent back to the player. If this list is empty, an empty list is sent back to the client.

  - ### setCancelled

    public void setCancelled(boolean cancelled)
    Whether the event is cancelled.
    Specified by:
      `setCancelled` in interface `Cancellable`
    Parameters:
      `cancelled` - the state to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TargetedEvent`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `TargetedEvent`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `TargetedEvent`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `TargetedEvent`